# Uses of Class
org.apache.commons.math3.util.KthSelector

Packages that use KthSelector
Package
Description
org.apache.commons.math3.stat.descriptive.rank
Summary statistics based on ranks.

## Uses of KthSelector in org.apache.commons.math3.stat.descriptive.rank

Methods in org.apache.commons.math3.stat.descriptive.rank that return KthSelector
Modifier and Type
Method
Description
`KthSelector`
Percentile.`getKthSelector()`
Get the `kthSelector` used for computation.
Methods in org.apache.commons.math3.stat.descriptive.rank with parameters of type KthSelector
Modifier and Type
Method
Description
`protected double`
Percentile.EstimationType.`estimate(double[] work, int[] pivotsHeap, double pos, int length, KthSelector selector)`
Estimation based on Kth selection.
`double`
Percentile.EstimationType.`evaluate(double[] work, double p, KthSelector selector)`
Evaluate method to compute the percentile for a given bounded array.
`protected double`
Percentile.EstimationType.`evaluate(double[] work, int[] pivotsHeap, double p, KthSelector selector)`
Evaluate method to compute the percentile for a given bounded array using earlier computed pivots heap.
This basically calls the `index` and then `estimate` functions to return the estimated percentile value.
`Median`
Median.`withKthSelector(KthSelector newKthSelector)`
Build a new instance similar to the current one except for the `kthSelector` instance specifically set.
`Percentile`
Percentile.`withKthSelector(KthSelector newKthSelector)`
Build a new instance similar to the current one except for the `kthSelector` instance specifically set.
Constructors in org.apache.commons.math3.stat.descriptive.rank with parameters of type KthSelector
Modifier
Constructor
Description
`protected`
`Percentile(double quantile, Percentile.EstimationType estimationType, NaNStrategy nanStrategy, KthSelector kthSelector)`
Constructs a Percentile with the specific quantile value, `Percentile.EstimationType`, `NaNStrategy` and `KthSelector`.